Recount usage counters from scratch

posthttps://api.expiryedge.com/v1/recalculateUsage
any role60/minAny method
Request
curl -X POST 'https://api.expiryedge.com/v1/recalculateUsage' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "success": true,
  "message": "Usage recalculated successfully",
  "data": {
    "expiries": 312,
    "contacts": 88,
    "storage": 157286400,
    "users": 4,
    "workflows": 6,
    "workflow_runs": 41
  }
}

Recounts expiries (including archived and done), contacts, users, workflows, workflow runs and stored bytes, saves them and returns the counts. Token failures return 500 with details.

Returns

200
Recalculated counts.
  • successboolean
  • messagestring
  • dataobject

Errors

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
The request failed (including an invalid or missing token).